
import dnd.models.Monster;

/* Represents a 10 ft section of passageway */

public class PassageSection{

	/******************************
	 Required Methods for that we will test during grading
	*******************************/
	/* note:  Some of these methods would normally be protected or private, but because we 
	don't want to dictate how you set up your packages we need them to be public 
	for the purposes of running an automated test suite (junit) on your code.  */

	private Monster monster;
    private String descrip;
    private Door door;


	public PassageSection(){
		//sets up the 10 foot section with default settings
	}

	public PassageSection(String description)
	{
		//sets up a specific passage based on the values sent in from
		//modified table 1
        descrip=description;
	}


	public Door getDoor(){
		//returns the door that is in the passage section, if there is one
		return door;
	}

	public Monster getMonster(){
		//returns the monster that is in the passage section, if there is one
        return monster;
	}

	public String getDescription(){
		return descrip;
	}

    public void setMonster(Monster model){
        monster=model;
    }

}