
import dnd.models.ChamberContents;
import dnd.models.ChamberShape;
import dnd.models.DnDElement;
import dnd.models.Monster;
import dnd.models.Treasure;
import java.util.ArrayList;

public class Chamber extends Space{

	private ChamberContents myContents;
	private ChamberShape mySize;
	private String description;
	private ArrayList<Door> doors=new ArrayList<Door>();
	private ArrayList<Monster> monsters=new ArrayList<Monster>();
	private ArrayList<Treasure> treasures=new ArrayList<Treasure>();
	/******************************
	 Required Methods for that we will test during grading
	*******************************/
	/* note:  Some of these methods would normally be protected or private, but because we 
	don't want to dictate how you set up your packages we need them to be public 
	for the purposes of running an automated test suite (junit) on your code.  */


	public Chamber(){

	}

	public Chamber(ChamberShape theShape, ChamberContents theContents)
	{
		myContents=theContents;
		mySize=theShape;
	}

	public void setShape(ChamberShape theShape){
		mySize=theShape;
	}

	public ArrayList<Door> getDoors(){
		return doors;
	}

	public void addMonster(Monster theMonster){
		monsters.add(theMonster);
	}


	public ArrayList<Monster> getMonsters(){
		return monsters;
	}

	public void addTreasure(Treasure theTreasure){
		treasures.add(theTreasure);
	}

	public ArrayList<Treasure> getTreasureList(){

		return treasures;
	}



	@Override
	public String getDescription(){

		return description;
	}

	@Override
	public void setDoor(Door newDoor){
		//should add a door connection to this room
		doors.add(newDoor);
	}


	/***********
	You can write your own methods too, you aren't limited to the required ones
	*************/

}